Skip to main content
`Ctrl`+`K`

# NEPRIIGetKSP

Retrieve the linear solver object (`KSP`) associated with the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIIGetKSP(NEP nep,KSP *ksp)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- ksp - the linear solver object

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPRII`, `NEPRIISetKSP()`

## Level

advanced

## Location

src/nep/impls/rii/rii.c

## Examples

src/nep/tutorials/ex21.c

## Implementations

NEPRIIGetKSP_RII() in src/nep/impls/rii/rii.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages